# vim:set ft=sh et:
# Maintainer: Ike Devolder <ike DOT devolder AT archlinux DOT org>

_pkgname=zfs
pkgname=$_pkgname-besrv
pkgver=2.2.2
_current_linux_version=6.6.10
_next_linux_version=6.7
pkgrel=12
pkgdesc="Kernel module for the Zettabyte File System."
arch=('x86_64')
url="http://zfsonlinux.org/"
license=('CDDL')
depends=(
    "linux-besrv>=$_current_linux_version"
    "linux-besrv<$_next_linux_version"
)
makedepends=(
    "linux-besrv-headers>=$_current_linux_version"
    "linux-besrv-headers<$_next_linux_version"
    "zfs-dkms>=$pkgver"
)
source=()
install=zfs-module.install


## in case we need to do some patching
#build() {
    #_kernver="$(cat /usr/src/linux-besrv/version)"

    ## dkms need modification to be run as user
    #cp -Lr /var/lib/dkms .
    #echo "dkms_tree='$srcdir/dkms'" > dkms.conf

    #(
        #cd dkms/$_pkgname/${pkgver}/source
        #patch -p1 -i "$srcdir/kernel-5.7.patch"
    #)
    ## build host modules
    #dkms --dkmsframework dkms.conf build "$_pkgname/${pkgver}" -k "$_kernver"
#}

package() {
    local kernver=$(</usr/src/linux-besrv/version)
    local extradir="/usr/lib/modules/$kernver/extramodules"
    install -dm755 "${pkgdir}${extradir}/$_pkgname"
    # global dkms
    cp -a "/var/lib/dkms/$_pkgname/kernel-$kernver-x86_64/module"/* \
        "${pkgdir}${extradir}/$_pkgname/"
    # local home dkms
    #cp -a "$srcdir/dkms/$_pkgname/$pkgver/$kernver/x86_64/module"/* \
        #"${pkgdir}${extradir}/$_pkgname/"
}


